/*
 *  Licensed to the Apache Software Foundation (ASF) under one
 *  or more contributor license agreements.  See the NOTICE file
 *  distributed with this work for additional information
 *  regarding copyright ownership.  The ASF licenses this file
 *  to you under the Apache License, Version 2.0 (the
 *  "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *   * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 */
package org.apache.synapse.securevault;

public class SecurityConstants {

    public static final String PROP_USER_NAME = "username";
    public static final String PROP_PASSWORD = "password";
    public static final String PROP_PASSWORD_PROMPT = "passwordPrompt";
    public static final String PROP_SECRET_CALLBACK_HANDLER = "SharedSecretCallbackHandler";
    public static final String PROP_SECURITY_ADMIN_SERVICES = "SecurityAdminServices";
    public static final String PROP_SECRET_MANAGER_ADMIN_MBEAN = "SecretManagerAdmin";
    public static final String PASSWORD_MANAGER_SIMPLE = "passwordManager";
    public static final String PASSWORD_PROVIDER_SIMPLE = "passwordProvider";
    public static final String SECRET_PROVIDER = "secretProvider";
    public static final String PROTECTED_TOKENS_SIMPLE = "protectedTokens";
    public static final String PASSWORD_MANAGER_CAP = "PasswordManager";
    public static final String PASSWORD_PROVIDER_CAP = "PasswordProvider";
    public static final String PROTECTED_TOKENS_CAP = "ProtectedTokens";
    public static final String SECURE_VAULT_NS = "http://org.apache.synapse.secureVault";
    public static final String SECURE_VAULT_SIMPLE= "secureVault";
    public static final String SECURE_VAULT_CAP= "SecureVault";
    public static final String SECURE_VAULT_ATTRIBUTE = "provider";
    public static final String SECURE_VAULT_ALIAS= "secretAlias";
    public static final String NS_SEPARATOR= ":";

}
